---
title: RTCIceCandidate.sdpMLineIndex
slug: Web/API/RTCIceCandidate/sdpMLineIndex
tags:
  - API
  - Candidate
  - Media Description
  - NeedsExample
  - Property
  - RTCIceCandidate
  - Read-only
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - m-line
  - sdpMLineIndex
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <code><strong>sdpMLineIndex</strong></code> property on the {{domxref("RTCIceCandidate")}} interface is a zero-based index of the m-line describing the media associated with the candidate.</span></p>

<p>This value is specified when creating the {{domxref("RTCIceCandidate")}} by setting the corresponding {{domxref("RTCIceCandidateInit.sdpMLineIndex", "sdpMLineIndex")}} value in the {{domxref("RTCIceCandidateInit")}} object when creating a new candidate with {{domxref("RTCIceCandidate.RTCIceCandidate", "new RTCIceCandidate()")}}.</p>

<p>If you instead call <code>RTCIceCandidate()</code> with a string parameter containing the <code>candidate</code> m-line text, the value of <code>sdpMLineIndex</code> is extracted from the m-line.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sdpMLineIndex</em> = <em>RTCIceCandidate</em>.sdpMLineIndex;</pre>

<h3 id="Value">Value</h3>

<p>A number containing a 0-based index into the set of m-lines providing media descriptions, indicating which media source is associated with the candidate, or <code>null</code> if no such association is available.</p>

<div class="note">
<p><strong>Note:</strong> Attempting to add a candidate (using {{domxref("RTCPeerConnection.addIceCandidate", "addIceCandidate()")}}) that has a value of <code>null</code> for either <code>sdpMid</code> or <code>sdpMLineIndex</code> will throw a <code>TypeError</code> exception.</p>
</div>

<h2 id="Example">Example</h2>

<p>...</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-sdpmlineindex', 'RTCIceCandidate.sdpMLineIndex')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.sdpMLineIndex")}}</p>
</div>
